> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get protection template

> Get a specific protection template. Returns 404 if template not found.



## OpenAPI

````yaml /api-reference/services_documented/ddos_protection_api.yaml get /security/sifter/v3/templates/{protection_template_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DDoS Protection API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Event Logs
    x-displayName: Event Logs
  - name: BGP announces
    x-displayName: BGP announces
  - name: Protected Networks
    x-displayName: Protected Networks
  - name: Protection Profiles
    x-displayName: Protection Profiles
  - name: Protection Templates
    x-displayName: Protection Templates
  - name: Security Templates
    x-displayName: Security Templates
  - name: Profiles
    x-displayName: Profiles
paths:
  /security/sifter/v3/templates/{protection_template_id}:
    get:
      tags:
        - Protection Templates
      summary: Get protection template
      description: Get a specific protection template. Returns 404 if template not found.
      operationId: get_protection_template_api_v3_templates__protection_template_id__get
      parameters:
        - name: protection_template_id
          in: path
          required: true
          schema:
            type: integer
            maximum: 1000000000
            minimum: 1
            description: A positive integer ID
            title: Protection Template Id
          description: A positive integer ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProtectionTemplateResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
          description: Forbidden
        '404':
          description: Protection template not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProtectionTemplateResponse:
      properties:
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
          description: Name of the template
        description:
          type: string
          title: Description
          description: Description of the template
        template:
          title: Template
          description: JSON schema for the template
        allow_merge:
          type: boolean
          title: Allow Merge
          description: Allow merging of this config with others
        client_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Client Id
          description: ID of the client this template belongs to
        id:
          type: integer
          title: Id
          description: Unique identifier for the template
        fields:
          items:
            $ref: '#/components/schemas/ProtectionTemplateFieldResponse'
          type: array
          title: Fields
          description: List of fields in the template
      type: object
      required:
        - name
        - description
        - template
        - allow_merge
        - client_id
        - id
        - fields
      title: ProtectionTemplateResponse
      example:
        allow_merge: false
        client_id: 42
        description: Template for configuring DDoS protection policies
        fields:
          - description: Maximum number of requests per second before triggering protection
            field_type: RULES
            id: 1
            name: Rate Limit Threshold
            name_in_config: rate_limit_threshold
            validation_schema:
              maximum: 100000
              minimum: 1
              type: integer
        id: 7
        name: DDoS Protection Template
        template:
          properties:
            threshold:
              minimum: 1
              type: integer
            action:
              enum:
                - block
                - challenge
                - log
              type: string
          type: object
    Request:
      properties: {}
      type: object
      title: Request
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/security_iaas_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProtectionTemplateFieldResponse:
      properties:
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
          description: Name of the field
        name_in_config:
          type: string
          maxLength: 100
          minLength: 1
          title: Name In Config
          description: Identifier of the field in the configuration
        field_type:
          $ref: '#/components/schemas/FieldType'
          description: Type of the field
        description:
          type: string
          title: Description
          description: Description of the field
        validation_schema:
          additionalProperties: true
          type: object
          title: Validation Schema
          description: JSON schema for validation of the field
        id:
          type: integer
          title: Id
          description: Unique identifier for the template field
      type: object
      required:
        - name
        - name_in_config
        - field_type
        - description
        - validation_schema
        - id
      title: ProtectionTemplateFieldResponse
      example:
        description: Maximum number of requests per second before triggering protection
        field_type: RULES
        id: 1
        name: Rate Limit Threshold
        name_in_config: rate_limit_threshold
        validation_schema:
          maximum: 100000
          minimum: 1
          type: integer
    security_iaas_ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FieldType:
      type: string
      enum:
        - RULES
        - POLICY
        - DEFAULT
      title: FieldType
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````